Skip to main content
POST
/
businesses
/
me
/
invitations
/
{invitationId}
/
resend
Resend a current-business user invitation
curl --request POST \
  --url https://api.leadping.ai/businesses/me/invitations/{invitationId}/resend
{
  "safeMessage": "<string>",
  "id": "<string>",
  "businessId": "<string>",
  "businessName": "<string>",
  "email": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "sentAt": "2023-11-07T05:31:56Z",
  "resentAt": "2023-11-07T05:31:56Z",
  "acceptedAt": "2023-11-07T05:31:56Z",
  "revokedAt": "2023-11-07T05:31:56Z",
  "sendFailureReason": "<string>",
  "licenseBillingStatus": "<string>",
  "licenseQuantity": "<string>",
  "licenseRenewalDate": "2023-11-07T05:31:56Z",
  "licenseActivatedAt": "2023-11-07T05:31:56Z",
  "licenseReleasedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

invitationId
string
required

The ID of the current-business invitation to resend.

Response

Returns the business invitation response.

API response containing business invitation data returned to callers.

safeMessage
string | null

The safe message value for this business invitation.

id
string

The unique ID for this business invitation.

businessId
string

The business ID associated with this business invitation.

businessName
string

The business name value for this business invitation.

email
string

The email address associated with this business invitation.

role
enum<string>

The role value for this business invitation.

Available options:
Owner,
Admin,
Agent
status
enum<string>

The current status for this business invitation.

Available options:
Pending,
Accepted,
Expired,
Revoked,
Resent,
Failed to send
createdAt
string<date-time>

The date and time for the created at value on this business invitation.

expiresAt
string<date-time>

The date and time for the expires at value on this business invitation.

sentAt
string<date-time> | null

The date and time for the sent at value on this business invitation.

resentAt
string<date-time> | null

The date and time for the resent at value on this business invitation.

acceptedAt
string<date-time> | null

The date and time for the accepted at value on this business invitation.

revokedAt
string<date-time> | null

The date and time for the revoked at value on this business invitation.

sendFailureReason
string | null

The human-readable send failure reason explaining this business invitation.

licenseBillingStatus
string | null

The billing status for the paid license created by this invitation.

licenseQuantity
string<int64> | null

The quantity on the shared business user license subscription item after this change.

Pattern: ^-?(?:0|[1-9]\d*)$
licenseRenewalDate
string<date-time> | null

The renewal date used for proration of this license.

licenseActivatedAt
string<date-time> | null

The date and time this invitation's paid license was created.

licenseReleasedAt
string<date-time> | null

The date and time this invitation's paid license was released.